Code of Conduct
===============

Preface
-------

The Glasgow Interface Explorer project is a long-term collaborative project that aims to unify the efforts of many individual contributors, whether they are contributing glue work, documentation, process, code, or other kinds of labor not explicitly included, into a coherent *instrument* that is accessible to the public and experts alike and remains such for as long as it is feasible. The continued existence of such an instrument is indelibly tied to the existence of a community caring for and maintaining it; this community achieving it by the individuals accepting shared values and goals to become more than the sum of the parts.


Argument
--------

1. The Glasgow Interface Explorer project was started and to a large degree is built by those who are queer, trans, and plural, existing perpetually on the fringes of what is acceptable. This is _our space_. If you are neither, please be our guest; we build it in the open for your benefit, no matter who you are, and share our knowledge, expertise, and skill freely. Do treat us like the agents we are; we will tell you in private if you seem not to, and we will ask you to leave if that fails.

2. The project is built in the open and distributed under the most permissive licenses because we want society as a whole to benefit from our work, and we do not find that calling cops on the cops is effective. This does not mean, however, that we wilfully turn a blind eye to the outcomes of our work. You will always have what the law says you do, but you may end up with not much more than that. For example, both ordinary contributors and project leaders may give you no quarter if you work to spill the blood of the innocent. We will explain our reasoning.

3. The spaces of the project exist foremost to advance its goals, which are both technical and social in nature. That does not mean that all discussion must be free of raw emotion and sensitive topics. However, if your approach to communication ends up persistently disruptive or creates a hostile environment, we will privately ask you to reconsider, and we will ask you to leave if that fails.

4. For the avoidance of doubt, we have virtually no tolerance for: sexism, misogyny, racism, xenophobia, homophobia, transphobia, queerphobia, pluralphobia, stalking, harassment, unwelcome sexual advances of any kind, doxing, direct violation of non-consent, general bigotry. (This includes egregious off-space behavior if it appears relevant.) Do not post anything that can be reasonably anticipated to cause legal issues for the project. Avoid sexualized language and imagery to keep our spaces suitable for minors and survivors. In severe cases, these actions may result in an immediate ban.

5. Project leaders have a noticeable degree of influence on the behavior of community members and as such are partially responsible for the community as a whole.


Resolution
----------

Where feasible, we encourage resolution of interpersonal conflict through private communication. Where that fails or is inapplicable due to the nature of the issue, instances of unacceptable behavior may be reported to any of the project leaders, who are currently:

* Catherine [@whitequark]
* Piotr [@esden]

Project leaders are obliged to respect the privacy and security of the reporter and promptly investigate all reports. To the best of our ability, we will address them fairly and proportionally.

[@whitequark]: mailto:whitequark@whitequark.org
[@esden]: mailto:esden@esden.net


Afterwords
----------

[Reach heaven by violence.](https://en.uesp.net/wiki/Morrowind:The_36_Lessons_of_Vivec)
