# Glasgow Maintainers Coordination Meeting

Date: 2023-07-29

Attendees:
- @whitequark
- @attie
- @esden
- @wanda
- @electroniceel
- @sorear


## Agenda

### Completed work since [2023-07-15](./2023-07-15.md)

- Teach Glasgow to use YoWASP if installed
- Teach Glasgow to cache applets
- Migrate away from `amaranth.compat`
- Serial numbers for production
- USB manufacturer string
- LED testing


### Check if device is busy before loading firmware

Assignee: @attie (review)

[#362](https://github.com/GlasgowEmbedded/glasgow/pull/362)

- @attie tried to repro the issue, but couldn't
- @attie to finish review


### Introduce plugin system for applets (with a view to Out-of-Tree)

Assignee: @whitequark, @attie (review)

[#357](https://github.com/GlasgowEmbedded/glasgow/pull/357)

- @attie to review


### 1BitSquared Serial Number Sicker Design

Assignee: @esden

- Finished & ready
- @esden shared [a photo](https://cdn.discordapp.com/attachments/613461005392936961/1134971261659918416/IMG_6223.jpeg) (top row is final)


### 1BitSquared Production Testing (for CrowdSupply)

Assignee: @esden

- @esden has enough coverage for first production units
  - `loopback` and `voltage` tests suffice
- TBD: LVDS I/O
  - Omitting testing is an acknowledged risk for first shipment
  - Needs adapter PCB & ribbon, likely Glasgow-to-Glasgow for testing these pins
- TBD: Trigger port
- `selftest` applet needs attention, but is not a blocker right now
  - This is more important for end-users to validate their own hardware
  - Production test jig will likely be more complex, see `prodtest` below (@attie would like it documented)
- `prodtest` conceptual applet in two parts to support testing
  - @esden and @attie to discuss later


### CrowdSupply Campaign

Assignee: @esden

- @esden published an [update](https://www.crowdsupply.com/1bitsquared/glasgow/updates/getting-ready-to-ship)
- Finalizing the production processes
- Firmware is ready to put onto early-bird units
- Likely finish testing & flashing 204x early-bird units on 2023-07-30
- 204x Glasgow & 1000x cases to Mouser "_soon_", with ~2 week turnaround at Mouser
- @esden visiting BlackHat & DefCon... family to help while away if materials are in place


## Outstanding Topics

### Bridging IRC, Matrix, Discord

- No update since [2023-07-15](./2023-07-15.md)


### Documentation

Assignee: @attie & @whitequark

- No update since [2023-07-15](./2023-07-15.md)


### RFC: New routing / datagram pipe

Assignee: nobody / speculative

[#354](https://github.com/GlasgowEmbedded/glasgow/issues/354)

- See discussion in GitHub issue and `#glasgow`
