# Glasgow Maintainers Coordination Meeting

Date: 2023-09-02

Attendees:
- @whitequark
- @attie
- @esden
- @wanda
- @nanographs


## Agenda

### Completed work since [2023-07-29](./2023-07-29.md)

- [#357](https://github.com/GlasgowEmbedded/glasgow/pull/357) - Introduce plugin system for applets (with a view to Out-of-Tree)
- [#362](https://github.com/GlasgowEmbedded/glasgow/pull/362) - Check if device is busy before loading firmware
- [#369](https://github.com/GlasgowEmbedded/glasgow/pull/369) - Rationalize return codes
- [#372](https://github.com/GlasgowEmbedded/glasgow/pull/372) - Replace dependency on `crc` with `amaranth.lib.crc`
- [#373](https://github.com/GlasgowEmbedded/glasgow/pull/373) - Print causes of `set_voltage()` failure
- [#384](https://github.com/GlasgowEmbedded/glasgow/pull/384) - Whitelist `PROCESSOR_ARCHITECTURE` for Windows
- [#389](https://github.com/GlasgowEmbedded/glasgow/pull/389) - Remove config fixup functionality


### Rework Handling of EP0 in FX2

Assignee: @whitequark

- See [#382](https://github.com/GlasgowEmbedded/glasgow/issues/382) - Device fails to enumerate when plugged in for the first time on Windows
- See [#385](https://github.com/GlasgowEmbedded/glasgow/pull/385) - Temporarily work around issue #382
- @whitequark hasn't had opportunity to progress yet
- Requires knowledge of 8051 C and USB


### CrowdSupply Campaign

Assignee: @esden

- 1000x cases boxed and ready to ship to Mouser
- 200x Glasgow PCBAs are ready for flashing (waiting on #382)
  - Boxes with labels, cables, and cards are ready for PCBAs
- Boxes to be held until #382 is resovled
- Production Testing
  - Critical parts are tested
  - LVDS untested, delay may provide chance to complete this


### [#376](https://github.com/GlasgowEmbedded/glasgow/pull/376) - Migrate away from `bitarray` dependency

Assignee: @wanda

- Work started
- Waiting for tests, varification, documentation


### Community Discussion & Moderation

- The Glasgow community now spans:
  - IRC - `#glasgow` on `libera.chat`
  - Matrix - `#glasgow-interface-explorer:matrix.org`
  - Discord - `#glasgow` in [1BitSquared](https://canary.discord.com/invite/UgtKYN4v)
- @whitequark runs a set of double-puppeting bridges
- @whitequark moderates the channel for policy
- @attie, @esden, @wanda moderate the channel for abuse
