# Glasgow Maintainers Coordination Meeting

Date: 2023-10-21

Attendees:
- @whitequark
- @attie
- @esden


## Agenda

### CrowdSupply Campaign

Assignee: @esden

- A potential issue has been discovered with tolerances between case and PCBA...
  - Contact area outlines have been added to KiCad drawings (see: [#445](https://github.com/GlasgowEmbedded/glasgow/pull/445))
  - @esden is investigating solutions that will be available to owners and ship with future orders
  - Will likely be a "gasget" design to provide isolation


### [#312](https://github.com/GlasgowEmbedded/glasgow/issues/312) - Documentation

Assignee: @attie & @whitequark

- REPL & script modes have documentation, but it needs revising / voice adjustment
- Issue converted to a task list / checkboxes


### [#406](https://github.com/GlasgowEmbedded/glasgow/issues/406) - Flag to indicate device is a non-original design

Assignee: @whitequark

- `Glasgow Interface Explorer` becomes `Another Interface Explorer`
- Info-level message added to declare the fact, visible to the user on each run


### PRs merged since 2023-10-07

- [#435](https://github.com/GlasgowEmbedded/glasgow/pull/435) - Add --allow_urls option to audio-yamaha-opx applet
- [#436](https://github.com/GlasgowEmbedded/glasgow/pull/436) - Fix issue #422
- [#437](https://github.com/GlasgowEmbedded/glasgow/pull/437) - revC3: BOM, Flags, Script
- [#438](https://github.com/GlasgowEmbedded/glasgow/pull/438) - applet.audio.yamaha_opx: fix listening on IPv6 endpoints
- [#439](https://github.com/GlasgowEmbedded/glasgow/pull/439) - manual: contribute: clarify commit message format
- [#440](https://github.com/GlasgowEmbedded/glasgow/pull/440) - cli: add platform, architecture, and OS version to --version output
- [#442](https://github.com/GlasgowEmbedded/glasgow/pull/442) - Update udev rules and manual to remove non-portable (Debian-specific) use of the plugdev group and 0660 mode
- [#443](https://github.com/GlasgowEmbedded/glasgow/pull/443) - Python 3.12 is released, 3.13-dev is the next development snapshot
- [#445](https://github.com/GlasgowEmbedded/glasgow/pull/445) - revC3: Added aluminium case outline with tolerance
- [#446](https://github.com/GlasgowEmbedded/glasgow/pull/446) - manual: use/repl-script: add details about the REPL and Script interfaces, along with examples
- [#448](https://github.com/GlasgowEmbedded/glasgow/pull/448) - applet: extract test code to a separate file
- [#449](https://github.com/GlasgowEmbedded/glasgow/pull/449) - protocol.jesd3: fix detection of default fuse state in a JED file
- [#450](https://github.com/GlasgowEmbedded/glasgow/pull/450) - Fix JESD3 lexer to ensure checksum computes correctly no matter which newlines are used
- [#451](https://github.com/GlasgowEmbedded/glasgow/pull/451) - Migrate to the PDM-Backend build backend
- [#452](https://github.com/GlasgowEmbedded/glasgow/pull/452) - Do not fill terminal with noise when a device is surprise disconnected
- [#453](https://github.com/GlasgowEmbedded/glasgow/pull/453) - software: fix radio-nrf24l01 applet name
- [#456](https://github.com/GlasgowEmbedded/glasgow/pull/456) - manual: use/repl-script: fixup typos / wording for clarity
