# Glasgow Maintainers Coordination Meeting

Date: 2023-11-18

Attendees:
- @whitequark
- @attie


## Agenda

### [#486](https://github.com/GlasgowEmbedded/glasgow/pull/486) - Servo Control Applet

- @whitequark implemented
- @tpwrules provided good input
- @tpwrules noticed an issue with E-Stop producing glitched outputs and undesirable control implications
  - This is a "_can't / won't fix_" issue for revC, but may be worth considering for future revisions


### PRs merged since 2023-10-21

- [#376](https://github.com/GlasgowEmbedded/glasgow/pull/376) - software: migrate away from `bitarray` dependency
- [#448](https://github.com/GlasgowEmbedded/glasgow/pull/448) - applet: extract test code to a separate file
- [#457](https://github.com/GlasgowEmbedded/glasgow/pull/457) - Add a "built from modified design files" marker to firmware and software
- [#461](https://github.com/GlasgowEmbedded/glasgow/pull/461) - kitspace: update to revC3
- [#463](https://github.com/GlasgowEmbedded/glasgow/pull/463) - CI: run testsuite with both minimal and latest dependency versions
- [#464](https://github.com/GlasgowEmbedded/glasgow/pull/464) - CI: fix semantics of the required check
- [#465](https://github.com/GlasgowEmbedded/glasgow/pull/465) - manual: develop/firmware: write the page
- [#467](https://github.com/GlasgowEmbedded/glasgow/pull/467) - software: produce the built-in firmware in a reproducible way
- [#468](https://github.com/GlasgowEmbedded/glasgow/pull/468) - Gracefully handle plugin load errors
- [#470](https://github.com/GlasgowEmbedded/glasgow/pull/470) - Pin Amaranth revision to a specific git commit
- [#471](https://github.com/GlasgowEmbedded/glasgow/pull/471) - manual: develop/firmware: extremely minor grammar fix
- [#472](https://github.com/GlasgowEmbedded/glasgow/pull/472) - Migrate from appdirs to platformdirs
- [#473](https://github.com/GlasgowEmbedded/glasgow/pull/473) - protocol.jesd3: fix error reporting
- [#474](https://github.com/GlasgowEmbedded/glasgow/pull/474) - protocol.jesd3: fix bitarray conversion fallout
- [#475](https://github.com/GlasgowEmbedded/glasgow/pull/475) - support.bits: fix assignment to bitarray slice
- [#476](https://github.com/GlasgowEmbedded/glasgow/pull/476) - protocol.jesd3: add `JESD3Emitter`
- [#477](https://github.com/GlasgowEmbedded/glasgow/pull/477) - applet.program.xc9500xl: convert to use .jed files natively
- [#478](https://github.com/GlasgowEmbedded/glasgow/pull/478) - Require aiohttp>=3.9.0b0 for Python 3.12 compatibility
- [#479](https://github.com/GlasgowEmbedded/glasgow/pull/479) - Add type annotations to all public methods in `support.bits`
- [#480](https://github.com/GlasgowEmbedded/glasgow/pull/480) - Interrupt USB polling thread before threading shutdown
- [#482](https://github.com/GlasgowEmbedded/glasgow/pull/482) - Merge platform.rev_c0 and platform.rev_c123 modules
- [#485](https://github.com/GlasgowEmbedded/glasgow/pull/485) - database.jedec: fix SyntaxWarning
- [#487](https://github.com/GlasgowEmbedded/glasgow/pull/487) - applet.interface.uart: improve description
- [#488](https://github.com/GlasgowEmbedded/glasgow/pull/488) - support.plugin: add feature-gated support for out-of-tree applets
- [#489](https://github.com/GlasgowEmbedded/glasgow/pull/489) - Update to Python 3.9+ syntax
- [#491](https://github.com/GlasgowEmbedded/glasgow/pull/491) - access.args: fix argparse import
- [#492](https://github.com/GlasgowEmbedded/glasgow/pull/492) - sim: fix pin parsing mismatch
- [#493](https://github.com/GlasgowEmbedded/glasgow/pull/493) - test: use required_revision for assertBulids
- [#495](https://github.com/GlasgowEmbedded/glasgow/pull/495) - args: convert to format strings. NFCI
- [#496](https://github.com/GlasgowEmbedded/glasgow/pull/496) - support.arepl: make asyncio sleep available by default
- [#497](https://github.com/GlasgowEmbedded/glasgow/pull/497) - Update aiohttp now that 3.9 is released
